/* Create a demo database for character set tests

   Database string: elias/3052:charsetdemo
                    Port 3052 is Firebird 2.0 on my machine (elias).
                    There is an alias "charsetdemo" configured in aliases.conf
*/

create database 'elias/3052:charsetdemo'
  user 'SYSDBA'
  password 'masterkey'
  page_size = 4096
  default character set utf8;

create table test (
  test_id integer not null primary key,
  str_utf8 varchar (1000) character set utf8,
  str_iso8859_1 varchar(1000) character set iso8859_1,
  str_iso8859_2 varchar(1000) character set iso8859_2,
  str_koi8r varchar(1000) character set koi8r,
  str_none varchar(1000) character set none,
  str_ascii varchar (1000) character set ascii,
  str_win1252 varchar (1000) character set win1252);

create generator test_id;

commit;

